# -*- encoding : utf-8 -*-

class Admin::LabelFamillesController < ApplicationController
  layout "admin"
  before_filter :auth_admin

  def index
    @label_familles = LabelFamille.all

   
  end

  def show
    @label_famille = LabelFamille.find(params[:id])

  end

  def new
    
    
		@label_famille = LabelFamille.new
    

  end

 

  def edit
  
    
    @label_famille = LabelFamille.find(params[:id])
  end

  def create
    @label_famille = LabelFamille.new(params.require(:label_famille).permit!)


    if @label_famille.save
     redirect_to admin_label_familles_url, notice: 'La pétition a été crée.' 
      
    else
      render action: "new"
 
    end

  end


  def update
    @label_famille = LabelFamille.find(params[:id])


    if @label_famille.update_attributes(params.require(:label_famille).permit!)
      redirect_to admin_label_familles_url, notice: 'Les infos sur la pétition ont été mise à jour.' 
     
    else
     render action: "edit" 
      
    end
      
  end


  def destroy
    @label_famille = LabelFamille.find(params[:id])
    @label_famille.destroy
    
    redirect_to admin_label_familles_url

  end
end
